//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "conspect.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SHDocVw_OCX"
#pragma link "trayicon"
#pragma resource "*.dfm"
TForm1 *Form1;
AnsiString filter_all = "All|*.*";
AnsiString filter_img = "Images|*.bmp;*.jpg;*.jpeg;*.gif;*tiff;*.png";
AnsiString filter_txt = "Texts|*.htm;*.html;*.txt";
AnsiString htmlcode = "<html>\n<head>\n<title>undefined</title>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1251\">\n<body>\n\n<body>\n<html>";

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  OpenDialog1->Filter = filter_img+"|"+filter_all;
  OpenDialog1->FilterIndex=1;
  if(OpenDialog1->Execute()){
    TVariantT<VARIANT> tv(OpenDialog1->FileName);
    CppWebBrowser1->Navigate2(
    &tv,
    0,
    NULL,
    NULL,
    NULL
    );
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  RichEdit1->SelectAll();
  RichEdit1->CopyToClipboard();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
  if(MessageDlg("Exit conspect?", mtConfirmation, mbOKCancel, 0)==mrOk){
    Close();
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
     TrayIcon1->Minimize();
     TrayIcon1->Visible=true;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TrayIcon1Restore(TObject *Sender)
{
  TrayIcon1->Visible=false;
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Button5Click(TObject *Sender)
{
  if (SaveDialog1->Execute()){
    RichEdit1->PlainText=true;
    RichEdit1->Lines->SaveToFile(SaveDialog1->FileName);
    RichEdit1->PlainText=false;
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormActivate(TObject *Sender)
{
// set focus to browser window
CppWebBrowser1->BringToFront();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button6Click(TObject *Sender)
{
  OpenDialog1->Filter = filter_txt+"|"+filter_all;
  OpenDialog1->FilterIndex=1;
  if (OpenDialog1->Execute()){
    RichEdit1->Lines->LoadFromFile(OpenDialog1->FileName);
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Label1MouseEnter(TObject *Sender)
{
  Label1->Font->Color=clBlue;
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Label1MouseLeave(TObject *Sender)
{
  Label1->Font->Color=clBlack;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Label1Click(TObject *Sender)
{
ShellExecute(0, "Open", "mailto:ax@ukr.net" , "", "", 1);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button7Click(TObject *Sender)
{
  RichEdit1->Lines->Add(htmlcode);
}
//---------------------------------------------------------------------------

